# Class XmrNodeSettings

#### Hierarchy

- unknown
  - XmrNodeSettings

- Defined in src/protobuf/pb_pb.d.ts:7199
- Defined in src/protobuf/pb_pb.d.ts:7222

#####
Index

### Constructors

constructor

### Methods

addStartupFlags
clearStartupFlagsList
getBlockchainPath
getBootstrapUrl
getStartupFlagsList
getSyncBlockchain
serializeBinary
setBlockchainPath
setBootstrapUrl
setStartupFlagsList
setSyncBlockchain
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrNodeSettings(): XmrNodeSettings

- #### Returns XmrNodeSettings

  Inherited from jspb.Message.constructor

## Methods

### addStartupFlags

- addStartupFlags(value: string, index?: number): XmrNodeSettings

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7209

### clearStartupFlagsList

- clearStartupFlagsList(): XmrNodeSettings

- #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7208

### getBlockchainPath

- getBlockchainPath(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7200

### getBootstrapUrl

- getBootstrapUrl(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7203

### getStartupFlagsList

- getStartupFlagsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7206

### getSyncBlockchain

- getSyncBlockchain(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7211

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7214

### setBlockchainPath

- setBlockchainPath(value: string): XmrNodeSettings

- #### Parameters

  - ##### value: string

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7201

### setBootstrapUrl

- setBootstrapUrl(value: string): XmrNodeSettings

- #### Parameters

  - ##### value: string

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7204

### setStartupFlagsList

- setStartupFlagsList(value: string[]): XmrNodeSettings

- #### Parameters

  - ##### value: string[]

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7207

### setSyncBlockchain

- setSyncBlockchain(value: boolean): XmrNodeSettings

- #### Parameters

  - ##### value: boolean

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7212

### toObject

- toObject(includeInstance?: boolean): XmrNodeSettings.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrNodeSettings.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7215

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrNodeSettings

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7218

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrNodeSettings, reader: BinaryReader): XmrNodeSettings

- #### Parameters

  - ##### message: XmrNodeSettings

  - ##### reader: BinaryReader

  #### Returns XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7219

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrNodeSettings, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrNodeSettings

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7217

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrNodeSettings): XmrNodeSettings.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrNodeSettings

  #### Returns XmrNodeSettings.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7216

Generated using TypeDoc